DS_GET_UNIQUE_NAMED_STRING(3)

FUNCTION
ds_get_unique_named_string - Get a unique named string from a Karma general data structure.

SYNOPSIS
#include <karma_ds.h>

char * ds_get_unique_named_string

(CONST packet_desc *pack_desc, CONST char *packet, CONST char *name)

DESCRIPTION
Get a unique named string from a Karma general data structure.

pack_desc
    The packet descriptor.

packet
    The packet containing the named string.

name
    The element name.

RETURN VALUE
A pointer to a dynamically allocated copy of the string on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/